Bug 499188 - Xserver stops responding when a large image is opened in firefox
Xserver stops responding when a large image is opened in firefox
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-intel (Show other bugs)
11
All Linux
low Severity medium
: ---
: ---
Assigned To: Adam Jackson
Fedora Extras Quality Assurance
:
Depends On:
Blocks: F11Target
  Show dependency treegraph
 
Reported: 2009-05-05 11:00 EDT by Ales Zelinka
Modified: 2010-06-28 08:22 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-06-28 08:22:46 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
xorg.conf (86 bytes, text/plain)
2009-05-05 11:01 EDT, Ales Zelinka
no flags Details
Xorg.0.log (109.33 KB, text/plain)
2009-05-05 11:01 EDT, Ales Zelinka
no flags Details

  None (edit)
Description Ales Zelinka 2009-05-05 11:00:26 EDT
Description of problem:
When I open a big (6000x4000) JPEG/PNG image in firefox, xserver stops responding to every input (keys, mouse cliscs, capslock/numlock, even ctrl-alt-backspace and ctrl-alt-delete). Mouse cursor still moves but I can't click anything.

Version-Release number of selected component (if applicable):
xorg-x11-filesystem-7.3-4.fc11.noarch
xorg-x11-font-utils-7.2-7.fc11.x86_64
xorg-x11-apps-7.3-8.fc11.x86_64
xorg-x11-server-common-1.6.1-6.fc11.x86_64
xorg-x11-server-utils-7.4-7.fc11.x86_64
xorg-x11-xkb-utils-7.2-8.fc11.x86_64
xorg-x11-drivers-7.3-11.fc11.x86_64
xorg-x11-server-Xorg-1.6.1-6.fc11.x86_64
xorg-x11-xauth-1.0.2-6.fc11.x86_64
xorg-x11-utils-7.4-4.fc11.x86_64
xorg-x11-xinit-1.0.9-6.fc11.x86_64
xorg-x11-drv-intel-2.7.0-2.fc11.x86_64

How reproducible:
always

Steps to Reproduce:
1. create a jpeg image 6000x4000 with something in it (empty white square doesn't work, fill it with random lines etc)
2. open in firefox
3.
  
Actual results:
xserver stops respindig

Expected results:
working xserver, killed firefox if it misbehaves, but X must run 

Additional info:
Firefox version probably doesn't matter - tested with 
firefox-3.5-0.20.beta4.fc11.x86_64
and 3.0.10 downloaded from upstream.

Both with clean profile and -safe-mode.

Loading large images works on current F10.
Comment 1 Ales Zelinka 2009-05-05 11:01:03 EDT
Created attachment 342473 [details]
xorg.conf
Comment 2 Ales Zelinka 2009-05-05 11:01:37 EDT
Created attachment 342474 [details]
Xorg.0.log
Comment 5 Bug Zapper 2009-06-09 11:11:09 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 11 development cycle.
Changing version to '11'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 7 Matěj Cepl 2009-11-05 13:28:33 EST
Since this bugzilla report was filed, there have been several major updates in various components of the Xorg system, which may have resolved this issue. Users who have experienced this problem are encouraged to upgrade their system to the latest version of their packages. For packages from updates-testing repository you can use command

yum upgrade --enablerepo='*-updates-testing'

Alternatively, you can also try to test whether this bug is reproducible with the upcoming Fedora 12 distribution by downloading LiveMedia of F12 Beta available at http://alt.fedoraproject.org/pub/alt/nightly-composes/ . By using that you get all the latest packages without need to install anything on your computer. For more information on using LiveMedia take a look at https://fedoraproject.org/wiki/FedoraLiveCD .

Please, if you experience this problem on the up-to-date system, let us now in the comment for this bug, or whether the upgraded system works for you.

If you won't be able to reply in one month, I will have to close this bug as INSUFFICIENT_DATA. Thank you.

[This is a bulk message for all open Fedora Rawhide Xorg-related bugs. I'm adding myself to the CC list for each bug, so I'll see any comments you make after this and do my best to make sure every issue gets proper attention.]
Comment 8 Ales Zelinka 2009-11-06 03:42:57 EST
Fixed for me.

xorg-x11-server-Xorg-1.7.0-1.fc12.x86_64
xorg-x11-drv-intel-2.9.1-1.fc12.x86_64

Thanks
Comment 9 Bug Zapper 2010-04-27 10:08:13 EDT
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 10 Bug Zapper 2010-06-28 08:22:46 EDT
Fedora 11 changed to end-of-life (EOL) status on 2010-06-25. Fedora 11 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.